Bug 705884 - luci chokes on working cluster.conf line
Summary: luci chokes on working cluster.conf line
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-18 19:17 UTC by joshua
Modified: 2014-08-12 16:12 UTC (History)
5 users (show)

Fixed In Version: luci-0.23.0-31.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 705876 (view as bug list)
Environment:
Last Closed: 2011-12-06 09:45:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
luci error log (11.29 KB, text/plain)
2011-05-18 19:17 UTC, joshua
no flags Details
proposed patch (1.59 KB, patch)
2011-06-20 15:28 UTC, Ryan McCabe
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 999324 None None None Never
Red Hat Product Errata RHBA-2011:1510 normal SHIPPED_LIVE luci bug fix update 2011-12-06 00:39:20 UTC

Internal Links: 999324

Description joshua 2011-05-18 19:17:55 UTC
Created attachment 499675 [details]
luci error log

I have a cluster that works perfectly fine, then I add this line which also
works per the cluster, but on which luci chokes

vm autostart="1" exclusive="1" migrate="pause" name="Tally-On-Premise_2011.1"
path="/data/cluster-storage/tally" recovery="relocate"
snapshot="/data/cluster-storage/rally" use_virsh="1"/>

I get on another machine running RHEL6.1 beta, install luci, import the cluster, and luci in my web browser still shows the same error:

Error 500

We're sorry but we weren't able to process this request.



Per the /var/log/luci/luci.log, luci is very unhappy (see attached log).


Version-Release number of selected component (if applicable):

luci-0.23.0-7.el6.x86_64


Expected Results:

Shouldn't luci be able to parse this line?  If not, surely it could have a more
intelligent response than the error above.

Comment 2 Lon Hohberger 2011-05-27 15:40:37 UTC
Do t

Comment 3 joshua 2011-05-27 17:17:56 UTC
?

Comment 4 Brian Brock 2011-06-07 21:20:50 UTC
Which option(s) is to blame for the misbehavior?

Can this be triggered with a cluster.conf only, with or without the system actually existing?

Comment 5 joshua 2011-06-07 21:54:35 UTC
It fails so immediately that it sure seems like luci is dying on the syntax

Comment 7 Ryan McCabe 2011-06-20 15:28:01 UTC
Created attachment 505645 [details]
proposed patch

Comment 20 errata-xmlrpc 2011-12-06 09:45:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1510.html


Note You need to log in before you can comment on or make changes to this bug.